import { registerAs } from '@nestjs/config';
import { BooleanValues } from '../constants/boolean-values.enum';

export default registerAs(
  'email-config',
  (): Record<string, any> => ({
    SMTP_HOST: process.env.SMTP_HOST,
    SMTP_PORT: parseInt(process.env.SMTP_PORT),
    SMTP_SECURE: process.env.SMTP_SECURE === BooleanValues.TRUE,
    SMTP_USER: process.env.SMTP_USER,
    SMTP_SENDER: process.env.SMTP_SENDER,
    SMTP_PASSWORD: process.env.SMTP_PASSWORD,
    MAILTRAP_API_TOKEN: process.env.MAILTRAP_API_TOKEN,
    MAILTRAP_INVITATION_TEMPLATE_UUID:
      process.env.MAILTRAP_INVITATION_TEMPLATE_UUID,
    MAILTRAP_DISABLE_TEMPLATE_UUID: process.env.MAILTRAP_DISABLE_TEMPLATE_UUID,
    MAILTRAP_ENABLE_TEMPLATE_UUID: process.env.MAILTRAP_ENABLE_TEMPLATE_UUID,
    MAILTRAP_DELETE_USER_TEMPLATE_UUID:
      process.env.MAILTRAP_DELETE_USER_TEMPLATE_UUID,
    MAILTRAP_EDIT_USER_TEMPLATE_UUID:
      process.env.MAILTRAP_EDIT_USER_TEMPLATE_UUID,
    MAILTRAP_SEND_OTP_TEMPLATE_UUID:
      process.env.MAILTRAP_SEND_OTP_TEMPLATE_UUID,
  }),
);
