import { ApiProperty } from '@nestjs/swagger';
import { BaseResponseDto } from './base.response.dto';

export class SuccessResponseDto<Type> implements BaseResponseDto {
  @ApiProperty({
    example: 200,
  })
  statusCode: number;

  data: Type;

  @ApiProperty({
    example: 'Success message',
  })
  message: string;

  @ApiProperty({
    example: true,
    description: 'Indicates that the operation was successful',
  })
  success: boolean;

  constructor(input: BaseResponseDto) {
    if (input.statusCode) this.statusCode = input.statusCode;
    else this.statusCode = 200;
    if (input.message) this.message = input.message;
    if (input.data) this.data = input.data;
    this.success = true;
  }
}
