import { Module } from '@nestjs/common';
import { DeviceStatusFirebaseController } from './controllers/devices-status.controller';
import { DeviceStatusFirebaseService } from './services/devices-status.service';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { DeviceStatusLogRepository } from '@app/common/modules/device-status-log/repositories/device-status.repository';

@Module({
  providers: [
    DeviceStatusFirebaseService,
    DeviceRepository,
    DeviceStatusLogRepository,
  ],
  controllers: [DeviceStatusFirebaseController],
  exports: [DeviceStatusFirebaseService, DeviceStatusLogRepository],
})
export class DeviceStatusFirebaseModule {}
