import { IsArray, IsNotEmpty, IsString, ValidateNested } from 'class-validator';
import { SpaceDto } from './space.dto';
import { Type } from 'class-transformer';
import { ProductDto } from '../../product/dtos';
import { NewTagDto } from '../../tag/dtos';

export class SpaceProductAllocationDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @ValidateNested()
  @Type(() => SpaceDto)
  public space: SpaceDto;

  @ValidateNested()
  @Type(() => ProductDto)
  product: ProductDto;

  @IsArray()
  @ValidateNested({ each: true })
  @Type(() => NewTagDto)
  tags: NewTagDto[];
}
