import { Column, Entity, OneToMany } from 'typeorm';
import { TimeZoneDto } from '../dtos';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { UserEntity } from '../../user/entities';

@Entity({ name: 'timezone' })
export class TimeZoneEntity extends AbstractEntity<TimeZoneDto> {
  @Column({
    nullable: false,
  })
  cityName: string;
  @Column({
    nullable: false,
  })
  timeZoneOffset: string;
  @OneToMany(() => UserEntity, (user) => user.timezone)
  users: UserEntity[];

  constructor(partial: Partial<TimeZoneEntity>) {
    super();
    Object.assign(this, partial);
  }
}
