import { ValidateBy, ValidationOptions } from 'class-validator';

export function IsPageRequestParam(
  validationOptions?: ValidationOptions,
): PropertyDecorator {
  return ValidateBy(
    {
      name: 'IsPageRequestParam',
      validator: {
        validate(value) {
          return IsPageParam(value); // you can return a Promise<boolean> here as well, if you want to make async validation
        },
      },
    },
    validationOptions,
  );
}

function IsPageParam(value: any): boolean {
  return !isNaN(Number(value)) && value > 0;
}
