import { Module } from '@nestjs/common';
import { ClientController } from './controllers';
import { ClientService } from './services';
import { ClientRepositoryModule } from '@app/common/modules/client/client.repository.module';
import { ClientRepository } from '@app/common/modules/client/repositories';
import { AuthService } from '@app/common/auth/services/auth.service';
import { JwtService } from '@nestjs/jwt';
import { UserRepository } from '@app/common/modules/user/repositories';
import { UserSessionRepository } from '@app/common/modules/session/repositories/session.repository';

@Module({
  imports: [ClientRepositoryModule],
  controllers: [ClientController],
  providers: [
    ClientService,
    ClientRepository,
    AuthService,
    JwtService,
    UserRepository,
    UserSessionRepository,
  ],
  exports: [ClientService],
})
export class ClientModule {}
