import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class DeviceMessagesAddDto {
  @ApiProperty({
    description: 'user uuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  userUuid: string;

  @ApiProperty({
    description: 'device uuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  deviceUuid: string;
}
