import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { CommonModule } from '@app/common';
import { PermissionController } from './controllers';
import { PermissionService } from './services';
import { RoleTypeRepository } from '@app/common/modules/role-type/repositories';

@Module({
  imports: [ConfigModule, CommonModule],
  controllers: [PermissionController],
  providers: [PermissionService, RoleTypeRepository],
  exports: [PermissionService],
})
export class PermissionModule {}
