import { IsNotEmpty, IsOptional, IsUUID, ValidateIf } from 'class-validator';

export class PowerClampParamsDto {
  @IsUUID('4', { message: 'Invalid UUID format' })
  powerClampUuid: string;
}
export class SpaceParamsDto {
  @IsUUID('4', { message: 'Invalid UUID format' })
  spaceUuid: string;
}
export class ResourceParamsDto {
  @IsUUID('4', { message: 'Invalid UUID format' })
  @IsOptional()
  spaceUuid?: string;

  @IsUUID('4', { message: 'Invalid UUID format' })
  @IsOptional()
  communityUuid?: string;

  @ValidateIf((o) => !o.spaceUuid && !o.communityUuid)
  @IsNotEmpty({ message: 'Either spaceUuid or communityUuid must be provided' })
  requireEither?: never; // This ensures at least one of them is provided
}
