import { DeviceStatusFirebaseService } from '@app/common/firebase/devices-status/services/devices-status.service';
import { AqiDataService } from '@app/common/helper/services/aqi.data.service';
import { OccupancyService } from '@app/common/helper/services/occupancy.service';
import { PowerClampService } from '@app/common/helper/services/power.clamp.service';
import { SqlLoaderService } from '@app/common/helper/services/sql-loader.service';
import { TuyaService } from '@app/common/integrations/tuya/services/tuya.service';
import { AutomationRepository } from '@app/common/modules/automation/repositories';
import { CommunityRepository } from '@app/common/modules/community/repositories';
import { DeviceStatusLogRepository } from '@app/common/modules/device-status-log/repositories';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import {
  PowerClampDailyRepository,
  PowerClampHourlyRepository,
  PowerClampMonthlyRepository,
} from '@app/common/modules/power-clamp/repositories';
import { ProductRepository } from '@app/common/modules/product/repositories';
import { ProjectRepository } from '@app/common/modules/project/repositiories';
import { SceneDeviceRepository } from '@app/common/modules/scene-device/repositories';
import {
  SceneIconRepository,
  SceneRepository,
} from '@app/common/modules/scene/repositories';
import {
  InviteSpaceRepository,
  SpaceLinkRepository,
  SpaceProductAllocationRepository,
  SpaceRepository,
} from '@app/common/modules/space';
import {
  SpaceModelProductAllocationRepoitory,
  SpaceModelRepository,
  SubspaceModelProductAllocationRepoitory,
  SubspaceModelRepository,
} from '@app/common/modules/space-model';
import {
  SubspaceProductAllocationRepository,
  SubspaceRepository,
} from '@app/common/modules/space/repositories/subspace.repository';
import { NewTagRepository } from '@app/common/modules/tag/repositories/tag-repository';
import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { CommunityService } from 'src/community/services';
import { DeviceService } from 'src/device/services';
import { SceneService } from 'src/scene/services';
import {
  SpaceModelService,
  SubSpaceModelService,
} from 'src/space-model/services';
import { SpaceModelProductAllocationService } from 'src/space-model/services/space-model-product-allocation.service';
import { SubspaceModelProductAllocationService } from 'src/space-model/services/subspace/subspace-model-product-allocation.service';
import {
  SpaceDeviceService,
  SpaceService,
  SubspaceDeviceService,
  SubSpaceService,
  ValidationService,
} from 'src/space/services';
import { SpaceProductAllocationService } from 'src/space/services/space-product-allocation.service';
import { SubspaceProductAllocationService } from 'src/space/services/subspace/subspace-product-allocation.service';
import { TagService } from 'src/tags/services';
import { PowerClampController } from './controllers';
import { PowerClampService as PowerClamp } from './services/power-clamp.service';
import { PresenceSensorDailySpaceRepository } from '@app/common/modules/presence-sensor/repositories';
import { AqiSpaceDailyPollutantStatsRepository } from '@app/common/modules/aqi/repositories';
@Module({
  imports: [ConfigModule],
  controllers: [PowerClampController],
  providers: [
    PowerClamp,
    PowerClampDailyRepository,
    PowerClampHourlyRepository,
    PowerClampMonthlyRepository,
    DeviceRepository,
    SpaceDeviceService,
    TuyaService,
    ValidationService,
    DeviceService,
    SpaceRepository,
    CommunityService,
    ProjectRepository,
    CommunityRepository,
    SpaceModelRepository,
    SceneDeviceRepository,
    ProductRepository,
    DeviceStatusFirebaseService,
    SceneService,
    SpaceService,
    PowerClampService,
    DeviceStatusLogRepository,
    SceneIconRepository,
    SceneRepository,
    AutomationRepository,
    InviteSpaceRepository,
    SubSpaceService,
    TagService,
    SpaceModelService,
    SpaceProductAllocationService,
    SqlLoaderService,
    SpaceLinkRepository,
    SubspaceRepository,
    SubspaceDeviceService,
    SubspaceProductAllocationService,
    NewTagRepository,
    SubSpaceModelService,
    SpaceModelProductAllocationService,
    SpaceProductAllocationRepository,
    SubspaceProductAllocationRepository,
    SubspaceModelRepository,
    SubspaceModelProductAllocationService,
    SpaceModelProductAllocationRepoitory,
    SubspaceModelProductAllocationRepoitory,
    OccupancyService,
    AqiDataService,
    PresenceSensorDailySpaceRepository,
    AqiSpaceDailyPollutantStatsRepository,
  ],
  exports: [PowerClamp],
})
export class PowerClampModule {}
