import { ApiProperty } from '@nestjs/swagger';
import { IsUUID } from 'class-validator';
import { ProjectParam } from './project.param.dto';

export class CommunitySpaceParam extends ProjectParam {
  @ApiProperty({
    description: 'UUID of the community this space belongs to',
    example: 'd290f1ee-6c54-4b01-90e6-d701748f0851',
  })
  @IsUUID()
  communityUuid: string;
}
