import { BooleanValues } from '@app/common/constants/boolean-values.enum';
import { ApiProperty } from '@nestjs/swagger';
import { Transform } from 'class-transformer';
import { IsBoolean, IsOptional } from 'class-validator';

export class GetSpaceDto {
  @ApiProperty({
    example: true,
    description: 'Only return spaces with devices',
    required: false,
    default: false,
  })
  @IsOptional()
  @IsBoolean()
  @Transform((value) => {
    return value.obj.onlyWithDevices === BooleanValues.TRUE;
  })
  public onlyWithDevices?: boolean = false;
}
