import { ApiProperty } from '@nestjs/swagger';
import { IsUUID } from 'class-validator';
import { GetSubSpaceParam } from './get.subspace.param';

export class DeviceSubSpaceParam extends GetSubSpaceParam {
  @ApiProperty({
    description: 'UUID of the device',
    example: 'd290f1ee-6c54-4b01-90e6-d701748f0851',
  })
  @IsUUID()
  deviceUuid: string;
}
