import { ApiProperty } from '@nestjs/swagger';
import { IsArray, IsNotEmpty, IsString } from 'class-validator';

export class ValidateSpacesDto {
  @ApiProperty({
    description: 'Array of space UUIDs to be validated',
    type: [String],
    example: ['space-1', 'space-2', 'space-3'],
  })
  @IsArray()
  @IsNotEmpty()
  @IsString({ each: true })
  spacesUuids: string[];
}
