import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddUserSpaceDto {
  @ApiProperty({
    description: 'spaceUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public spaceUuid: string;
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
  constructor(dto: Partial<AddUserSpaceDto>) {
    Object.assign(this, dto);
  }
}

export class AddUserSpaceUsingCodeDto {
  @ApiProperty({
    description: 'inviteCode',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public inviteCode: string;
  constructor(dto: Partial<AddUserSpaceDto>) {
    Object.assign(this, dto);
  }
}
